## org.apache.batik.transcoder.wmf.tosvg
Class WMFRecordStore

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.AbstractWMFReader
          org.apache.batik.transcoder.wmf.tosvg.WMFRecordStore

    public class WMFRecordStore

extends AbstractWMFReader

Reads a WMF file, including an Aldus Placable Metafile Header.

Field Summary
`protected int` `numRecords`
`protected java.util.List` `records`
`protected float` `vpX`
`protected float` `vpY`

Fields inherited from class org.apache.batik.transcoder.wmf.tosvg.AbstractWMFReader
`bottom, bReading, height, inch, isAldus, isotropic, lastObjectIdx, left, MM_PER_PIXEL, mtHeaderSize, mtMaxRecord, mtNoObjects, mtNoParameters, mtSize, mtType, mtVersion, numObjects, objectVector, PIXEL_PER_INCH, right, scaleX, scaleXY, scaleY, top, vpH, vpW, width, windowHeight, windowWidth, xSign, ySign`

Constructor Summary
`WMFRecordStore()`

Method Summary
`int` `getNumRecords()` Returns a number of records in the image
`MetaRecord` `getRecord(int idx)` Returns a meta record.
`java.net.URL` `getUrl()` Returns the current URL
`float` `getVpX()` Returns the viewport x origin
`float` `getVpY()` Returns the viewport y origin
`protected boolean` `readRecords(java.io.DataInputStream is)` Reads the WMF file from the specified Stream.
`void` `reset()` Resets the internal storage and viewport coordinates.
`void` `setUrl(java.net.URL newUrl)` Sets the current URL
`void` `setVpX(float newValue)` Sets the viewport x origin
`void` `setVpY(float newValue)` Sets the viewport y origin

Methods inherited from class org.apache.batik.transcoder.wmf.tosvg.AbstractWMFReader

`addObject, addObjectAt, getBottomUnits, getHeightPixels, getHeightUnits, getLeftUnits, getMetaFileUnitsPerInch, getNumObjects, getObject, getPixelsPerUnit, getRectangleInch, getRectanglePixel, getRectangleUnits, getRightUnits, getTopUnits, getUnitsToPixels, getViewportHeightInch, getViewportHeightUnits, getViewportWidthInch, getViewportWidthUnits, getVpH, getVpHFactor, getVpW, getVpWFactor, getWidthPixels, getWidthUnits, getXSign, getYSign, isReading, read, readInt, readShort, setReading`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numRecords

    protected int numRecords

### vpX

    protected float vpX

### vpY

    protected float vpY

### records

    protected java.util.List records

Constructor Detail

### WMFRecordStore

    public WMFRecordStore()

Method Detail

### reset

    public void reset()

  Resets the internal storage and viewport coordinates.

  Specified by:
    `reset` in class `AbstractWMFReader`

### readRecords

    protected boolean readRecords(java.io.DataInputStream is)
                           throws java.io.IOException

  Reads the WMF file from the specified Stream.

  Specified by:
    `readRecords` in class `AbstractWMFReader`
  Throws:
    `java.io.IOException`
  See Also:
    `WMFConstants`

### getUrl

    public java.net.URL getUrl()

  Returns the current URL

### setUrl

    public void setUrl(java.net.URL newUrl)

  Sets the current URL

### getRecord

    public MetaRecord getRecord(int idx)

  Returns a meta record.

### getNumRecords

    public int getNumRecords()

  Returns a number of records in the image

### getVpX

    public float getVpX()

  Returns the viewport x origin

### getVpY

    public float getVpY()

  Returns the viewport y origin

### setVpX

    public void setVpX(float newValue)

  Sets the viewport x origin

### setVpY

    public void setVpY(float newValue)

  Sets the viewport y origin

Copyright © 2008 Apache Software Foundation. All Rights Reserved.